/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-07-29 16:48
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(int i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
using namespace __gnu_pbds;
template<typename Key, typename Value>
using indexed_map = tree<Key,Value,less<Key>,rb_tree_tag,tree_order_statistics_node_update>;
template<typename Key>
using indexed_set = tree<Key,null_type,less<Key>,rb_tree_tag,tree_order_statistics_node_update>;


vector<pair<ll, int>> factorization(ll n) {
  vector<pair<ll, int>> factors;
  for (ll i = 2; i * i <= n; i++)
    if (n % i == 0) {
      int cnt = 0;
      while (n % i == 0)
        n /= i, cnt++;
      factors.push_back({i, cnt});
    }
  if (n > 1)
    factors.push_back({n, 1});
  return factors;
}


void solve(){
    ll N;
    ll res = 1;
    cin >> N;

    while(N % (res + 1) == 0) res++;
    cout << res << endl;
    return;
    
    /* ll lseq = 1, seq = 1; */
    /* ll last = 1; */
    /* for(int i = 2; i <= (int) pow(N, 1.0/(lseq+1)); i++){ */
    /*     printf("%lf\n", pow(N, 1.0/(lseq+ 1))); */
    /*     if( N % i == 0){ */
    /*         if(last + 1 == i) */
    /*             seq++; */
    /*         last = i; */
    /*     } */
    /*     else { */
    /*         if(seq > lseq) */
    /*             lseq = seq; */
    /*         seq = 1; */
    /*     } */
    /* } */
    /* cout << lseq << endl; */
    /* return; */
    
    /* // Code goes here ... */
    /* auto facs = factorization(N); */
    /* vector<ll> ele; */
    /* for(auto [a, b]: facs){ */
    /*     R(i, b){ */
    /*         ele.push_back(a); */
    /*     } */
    /* } */

    /* set<ll> all{1}; */
    /* vector<ll> allvec; */

    /* for(ll d: ele){ */
    /*     allvec.clear(); */
    /*     for(auto div: all) */
    /*         allvec.push_back(div); */
    /*     for(auto div: allvec){ */
    /*         if(d * div <= sqrt(N)) */
    /*             all.insert(d * div); */
    /*     } */
    /* } */

    /* ll lseq = 1, seq = 1; */
    /* auto it = all.begin(); */
    /* ll cur, last = *it++; */
    /* while(it != all.end()){ */
    /*     cerr << *it << " "; */
    /*     cur = *it; */
    /*     if(last + 1 == cur) */
    /*         seq++; */
    /*     else { */
    /*         if(seq > lseq) */
    /*             lseq = seq; */
    /*         seq = 1; */
    /*     } */
    /*     last = cur; */
    /*     it++; */
    /* } */
    /* cerr<< endl; */
    /* cout << lseq << endl; */
}

int main(){
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
